# Advanced Posts Widget

_Build a better post list._

The Advanced Posts Widget is a powerful and flexible recent posts widget for WordPress that makes building and displaying customized content lists a snap.  Supports all custom post types and taxonomies!

Make your post lists stand out with this highly customizable recent post widget!

## Features

* Build multiple lists!
* Select which post types to display.  (You can choose either all types, or a specific type.)
* Set the number of posts to show.
* Choose how to order your posts: publish date, alphabetically, random, etc.
* Set the order for displaying the posts.
* Filter by category, tag, or custom taxonomy.
* Supports post thumbnails.
* Set _and preview_ custom thumbnail sizes, or choose from your site's registered image sizes.
* Show an excerpt of the post.
* Set _and preview_ the length of the excerpt.
* Select the list format to match your site's markup.  Choose from: `ol`, `ul`, or `div`.
* Select the listing format. Choose between `html5` or `xhtml`.
* Show post date.
* Set _and preview_ multiple date formats.
* Choose the default (basic) CSS styling or roll your own.

![list in sidebar](assets/screenshot-6.png?raw=true "Easily create comment lists!")

#### Multiple Lists Support

Do you have multiple content types to share?  Do you want to highlight different categories of posts?  With the Advanced Post Widget, you can easily create more than just a boring "recent posts" list.  Create one list for your recent News, one for recent blog posts, and one to highlight a certain category!  _All post types and taxonomies supported._

#### Custom Post Types

Have more than just blog posts to share?  The Advanced Posts Widget automatically detects all your registered public post types, giving you an easy way to select which type to create a list for.

#### Custom Taxonomies

Gone are the days of just categories and tags.  With custom post types comes custom taxonomies.  The Advanced Posts Widget automatically detects all registered taxonomies and builds settings for each in the widget options form.

#### Custom Thumbnail sizes

With the Advanced Posts Widget, you can set _and preview_ a custom thumbnail size to display in your sidebar.  Already have the perfect size thumbnail?  The widget also detects all registered images sizes and creates an easy way to choose which to display.  And with WordPress 4.4, responsive images are natively supported using built-in functionality.

#### Custom Post Excerpts

_Draw your readers in by displaying a brief excerpt of each post in your list._  The Advanced Post Widget provides an easy way to set the length of the excerpts that will appear.  And with a handy preview feature, you can see a sample excerpt set to the length you choose, before saving your settings.

#### Native Formatting

The Advanced Posts Widget automatically detects your theme's support for `html5` and will set your list settings accordingly. Once saved, the widget will generate a semantically-correct `html5` article list of your posts.  You can also choose the more generic `html` version if you'd prefer.

#### Default CSS Styles

The Advanced Posts Widget comes installed with a default stylesheet option to get you going.  (The styling is based on the twentysixteen core theme.) Selecting the Default Styles option will give you a quick start to styling your posts list.  For more control over the look and feel of your list, the widget also has a number of classes available to further customize its appearance to match your theme.


## Developer Features

This widget was built not only with end-users in mind, but also plugin developers.  Almost every aspect of this widget is extensible through filters and action hooks.  You can even add your own form fields to the widget form!

* Need to remove a field from the widget form?  Not a problem!  Every field is passed through its own filter for easy customization.
* Need to modify the output of the widget?  Easy!  The output is passed through numerous filters, allowing you to customize the post list to meet your project's requirements.
* For a full list of action hooks and filters, please see the plugin documentation: http://darrinb.com/plugins/advanced-posts-widget

For sample functions check out this small testing plugin: https://github.com/dboutote/Advanced-Posts-Widget-Testing


# Installation

### From the WordPress.org plugin repository:

* Download and install using the built in WordPress plugin installer.
* Activate in the "Plugins" area of your admin by clicking the "Activate" link.
* No further setup or configuration is necessary.
* Head on over to the Widgets screen or the Customizer to start building your lists!

### From GitHub:

* Download the [latest stable version](https://github.com/dboutote/Advanced-Posts-Widget/archive/master.zip).
* Extract the zip folder to your plugins directory.
* Activate in the "Plugins" area of your admin by clicking the "Activate" link.
* No further setup or configuration is necessary.


# FAQ

### Where can I find additional additional documentation?

The plugin's official page: http://darrinb.com/plugins/advanced-posts-widget

### Can I contribute?
Of course! Have an idea for a feature?  Reach out on the plugin's official page.  Want to dive into  the code?  Jump right in!  Feel free to submit pull requests for new ideas & enhancements!
